Bug 679206 - vgreduce --removemissing now requires --force
vgreduce --removemissing now requires --force
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
anaconda_trace_hash:90611e9f207ccc570...
:
Depends On:
Blocks: F15Beta/F15BetaBlocker
  Show dependency treegraph
 
Reported: 2011-02-21 16:56 EST by David Lehman
Modified: 2011-03-16 00:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-15.22-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-16 00:06:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (126.49 KB, text/plain)
2011-02-21 16:56 EST, David Lehman
no flags Details

  None (edit)
Description David Lehman 2011-02-21 16:56:28 EST
The following was filed automatically by anaconda:
anaconda 15.20 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicelibs/lvm.py", line 285, in vgreduce
    raise LVMError("vgreduce failed for %s: %s" % (vg_name, msg))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 2101, in _destroy
    lvm.vgreduce(self.name, [], rm=True)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 783, in destroy
    self._destroy()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1559, in reinitializeVG
    vg.destroy()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1589, in leafInconsistencies
    reinitializeVG(device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1607, in _handleInconsistencies
    leafInconsistencies(leaf)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1819, in _populate
    self._handleInconsistencies()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1714, in populate
    self._populate()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 434, in reset
    self.devicetree.populate()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 116, in storageInitialize
    storage.reset()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 211, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 130, in gotoNext
    self.moveStep()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1346, in setScreen
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1258, in nextClicked
    self.setScreen ()
LVMError: vgreduce failed for VolGroup:   Couldn't find device with uuid itAcFC-hFAK-mu0a-oqZ3-5lWg-hWWt-MoK3gE.
  WARNING: Partial LV lv_home needs to be repaired or removed. 
  WARNING: Partial LV lv_root needs to be repaired or removed. 
  WARNING: There are still partial LVs in VG VolGroup.
  To remove them unconditionally use: vgreduce --removemissing --force.
  Proceeding to remove empty missing PVs.
Comment 1 David Lehman 2011-02-21 16:56:42 EST
Created attachment 480002 [details]
Attached traceback automatically from anaconda.
Comment 2 David Lehman 2011-02-21 18:15:26 EST
This prevents us from being able to clean up incomplete LVM volume groups.
Comment 3 David Lehman 2011-03-09 14:07:39 EST
Fixed for Fedora 15 in anaconda-15.22-1.
Comment 4 Fedora Update System 2011-03-09 16:55:05 EST
anaconda-15.22-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/anaconda-15.22-1.fc15
Comment 5 James Laska 2011-03-11 14:40:45 EST
Discussed at 2011-03-11 blocker review meeting.  This issue is fixed and available for testing in anaconda-15.22-1.  The issue has been accepted as a beta blocker.
Comment 6 Fedora Update System 2011-03-16 00:05:44 EDT
anaconda-15.22-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.